# CullVisitor.cpp File Reference

`#include <osg/Transform>`
`#include <osg/Projection>`
`#include <osg/Geode>`
`#include <osg/LOD>`
`#include <osg/Billboard>`
`#include <osg/LightSource>`
`#include <osg/ClipNode>`
`#include <osg/TexGenNode>`
`#include <osg/OccluderNode>`
`#include <osg/Notify>`
`#include <osg/TexEnv>`
`#include <osg/AlphaFunc>`
`#include <osg/LineSegment>`
`#include <osg/TriangleFunctor>`
`#include <osg/Geometry>`
`#include <osgUtil/CullVisitor>`
`#include <osgUtil/RenderToTextureStage>`
`#include <float.h>`
`#include <algorithm>`
`#include <osg/Timer>`

Include dependency graph for CullVisitor.cpp:

## Functions

float | MAX_F (float a, float b)
int | EQUAL_F (float a, float b)
CullVisitor::value_type | distance (const osg::Vec3 &coord, const osg::Matrix &matrix)
template<class matrix_type, class value_type>
bool | _clampProjectionMatrix (matrix_type &projection, double &znear, double &zfar, value_type nearFarRatio)

## Function Documentation

template<class matrix_type, class value_type>
bool _clampProjectionMatrix | ( | matrix_type & | projection,
|  | double & | znear,
|  | double & | zfar,
|  | value_type | nearFarRatio
| ) |

CullVisitor::value_type distance | ( | const osg::Vec3 & | coord,
|  | const osg::Matrix & | matrix
| ) | `[inline]`

int EQUAL_F | ( | float | a,
|  | float | b
| ) | `[inline]`

float MAX_F | ( | float | a,
|  | float | b
| ) | `[inline]`